# Class LoginCallback

java.lang.Object
com.codename1.social.LoginCallback

public abstract class LoginCallback extends Object
This class is used to indicate whether login was successful or not, it is an abstract class rather than an interface in order to allow additional features in the future.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginCallback()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `loginFailed(String errorMessage)`
  Indicates that logging in to the social network has failed
  `void`
  `loginSuccessful()`
  Indicates that logging in to the social network has been successful

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### LoginCallback

    public LoginCallback()

- ## Method Details

  - ### loginSuccessful

    public void loginSuccessful()
    Indicates that logging in to the social network has been successful

  - ### loginFailed

    public void loginFailed(String errorMessage)

    Indicates that logging in to the social network has failed

    ###### Parameters

    - `errorMessage`: the error message corresponding to this